TestTargetHistoryTable.MockProcessorConfiguration (cpptasks 1.0b5 Test API)
Keywords: net.sf.antcontrib.cpptasks.TestTargetHistoryTable.MockProcessorConfiguration class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sf.antcontrib.cpptasks
Class TestTargetHistoryTable.MockProcessorConfiguration

    java.lang.Object
      net.sf.antcontrib.cpptasks.TestTargetHistoryTable.MockProcessorConfiguration

All Implemented Interfaces:
  net.sf.antcontrib.cpptasks.compiler.ProcessorConfiguration

Enclosing class:
  TestTargetHistoryTable

    public static class TestTargetHistoryTable.MockProcessorConfiguration

extends java.lang.Object
implements net.sf.antcontrib.cpptasks.compiler.ProcessorConfiguration

Constructor Summary
`TestTargetHistoryTable.MockProcessorConfiguration()`

Method Summary
`int` | `bid(java.lang.String fileName)`
`java.lang.String` | `getIdentifier()`
`java.lang.String[]` | `getOutputFileNames(java.lang.String baseName, net.sf.antcontrib.cpptasks.VersionInfo versionInfo)`
`net.sf.antcontrib.cpptasks.ProcessorParam[]` | `getParams()`
`boolean` | `getRebuild()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TestTargetHistoryTable.MockProcessorConfiguration

    public TestTargetHistoryTable.MockProcessorConfiguration()

Method Detail

### bid

    public int bid(java.lang.String fileName)

  Specified by:
    `bid` in interface `net.sf.antcontrib.cpptasks.compiler.ProcessorConfiguration`

### getIdentifier

    public java.lang.String getIdentifier()

  Specified by:
    `getIdentifier` in interface `net.sf.antcontrib.cpptasks.compiler.ProcessorConfiguration`

### getOutputFileNames

    public java.lang.String[] getOutputFileNames(java.lang.String baseName,
                                                 net.sf.antcontrib.cpptasks.VersionInfo versionInfo)

  Specified by:
    `getOutputFileNames` in interface `net.sf.antcontrib.cpptasks.compiler.ProcessorConfiguration`

### getParams

    public net.sf.antcontrib.cpptasks.ProcessorParam[] getParams()

  Specified by:
    `getParams` in interface `net.sf.antcontrib.cpptasks.compiler.ProcessorConfiguration`

### getRebuild

    public boolean getRebuild()

  Specified by:
    `getRebuild` in interface `net.sf.antcontrib.cpptasks.compiler.ProcessorConfiguration`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2008 Ant-Contrib Project. All Rights Reserved.